textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/urban_terror2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_terror2/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/cow/cow_metal4
{
surfaceparm metalsteps
qer_editorimage textures/docks/cow_vents3.tga
{
 		map $lightmap
 		rgbgen identity
 }
 	{
 		map textures/docks/cow_vents3.tga
 		blendfunc gl_dst_color gl_zero
 		rgbgen identity
 	}
}

textures/urban_terror6/sprite_chain
{
        qer_editorimage textures/urban_terror3/chain.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	deformvertexes autosprite2
	cull none
        nopicmip
	{
		map textures/urban_terror3/chain.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror7/mine_light_broken
{
	qer_editorimage textures/urban_terror7/grid.tga
	surfaceparm nomarks
	{
		map textures/urban_terror9/mine_light_bg.tga
	}
	{
		map textures/urban_terror7/grid.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/urban_terror7/mine_light
{
	qer_editorimage textures/urban_terror7/grid.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightimage textures/urban_terror3/nrglightblend.tga
	{
		map textures/urban_terror9/mine_light_bg.tga
	}
	{
		map textures/urban_terror7/grid.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/base_light/baslt4_1_4k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/liquids/lavahell
{
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}


}

models/mapobjects/skel/skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skel/skel.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/sfx/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/sfx/beam.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/sfx/fan3bladeb
{
      cull disable
      surfaceparm trans	
      surfaceparm nolightmap
      sort 5
        {
	        clampmap textures/sfx/fan3bladeb.tga
                blendfunc blend
                tcmod rotate 999
	        rgbgen identity
	}
        
}

textures/sfx/fan_grate
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm	metalsteps	
	cull none
        nopicmip
	{
		map textures/sfx/fan_grate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/sfx/fanfx
{
	qer_editorimage textures/sfx/fanfx.tga
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip

	{
		clampmap textures/sfx/fanfx.tga
		tcmod rotate 256 
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen exactvertex
                depthwrite
	}
}

textures/bbq/ladderclip
{
	  qer_editor_image textures/bbq/ladderclip.tga        
	  qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/bbq/spiderweb
{
	qer_editor_image textures/bbq/spiderweb.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/bbq/spiderweb.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bbq/vines
{
	qer_editor_image textures/bbq/vines.tga
	qer_trans 0.40
	cull disable
	surfaceparm ladder
	{
		map textures/bbq/vines.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/bbq/tank_insides
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/sweetnutz/sn_casa_sky
{
	qer_editorimage textures/sweetnutz/sn_casa_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 200
	skyparms env/casa/tropday 256 -

}

textures/bbq2/softlanding
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nodamage
}

textures/bbqmines/flourescent_light_small
{
	qer_editorimage textures/bbqmines/flourlight_small
	q3map_surfacelight 2000
	q3map_lightimage textures/urban_terror3/nrglightblend.tga
	{
		map textures/urban_terror9/mine_light_bg.tga
	}
	{
		map textures/bbqmines/flourlight_small.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
}

textures/bbqmines/flourescent_light
{
	qer_editorimage textures/bbqmines/flourlight.tga
	q3map_surfacelight 2000
	q3map_lightimage textures/urban_terror3/nrglightblend.tga
	{
		map textures/urban_terror9/mine_light_bg.tga
	}
	{
		map textures/bbqmines/flourlight.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
}

textures/bbqmines/bat
{
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	cull disable
	surfaceparm trans 
	deformvertexes autosprite
	{
		map textures/bbqmines/bat.tga
		alphafunc ge128
		rgbgen vertex
	}
}

textures/bbqmines/steel_shelf_slick
{
	qer_editorimage textures/bbqmines/steel_shelf_slick.tga
	surfaceparm slick
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/bbqmines/steel_shelf_slick.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bbqmines/layer1
{
	q3map_nonplanar
	qer_editorimage textures/bbqmines/layer1.tga
	q3map_shadeangle 170
	{
		map textures/bbqmines/layer1.tga
 		rgbgen identity
	}
	{
		map $lightmap
		tcgen lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bbqmines/layer2
{
	q3map_nonplanar
	qer_editorimage textures/bbqmines/layer2.tga
	q3map_shadeangle 170
	{
		map textures/bbqmines/layer2.tga
 		rgbgen identity
	}
	{
		map $lightmap
		tcgen lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bbqmines/stone01
{
	q3map_nonplanar
	qer_editorimage textures/bbqmines/stone01.tga
	q3map_shadeangle 170
	{
		map textures/bbqmines/stone01.tga
 		rgbgen identity
	}
	{
		map $lightmap
		tcgen lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bbqmines/stone54
{
	q3map_nonplanar
	qer_editorimage textures/bbqmines/stone54.tga
	q3map_shadeangle 170
	{
		map textures/bbqmines/stone54.tga
 		rgbgen identity
	}
	{
		map $lightmap
		tcgen lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/bbqmines/stone57
{
	q3map_nonplanar
	qer_editorimage textures/bbqmines/stone57.tga
	q3map_shadeangle 170
	{
		map textures/bbqmines/stone57.tga
 		rgbgen identity
	}
	{
		map $lightmap
		tcgen lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

